[Xmonad] Problem while building Xmonad

Don Stewart dons at galois.com
Fri Nov 2 16:42:14 EDT 2007

> On 11/2/07, Santanu Chatterjee <thisissantanu at gmail.com> wrote:
> > By the way, I also tried to unregister X11-1.3.0 and installed X1-1.2.3
> > (since it does not seem to expose the module in question) and tried
> > again. But that did not work either.
> Yup, I ran into this problem too. After you unregister X11-1.3.0 and
> install X11-1.2.3, make sure to reinstall the X11-extras module as
> well.
> Then, if xmonad isn't happy about finding X11-1.2.3, you may need to
> edit your Xmonad.cabal file (I did at least), to specify X11-1.2.3.

I think we'll just a point release amending the .cabal file for 0.4.1,
just to avoid this build trouble.

-- Don

More information about the Xmonad mailing list